Bug 122627 - 'URL Recognition' in Options tab of AutoCorrect Options dialog is broken (gen/gtk2)
Summary: 'URL Recognition' in Options tab of AutoCorrect Options dialog is broken (gen...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.2.0.1 rc
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2019-01-10 10:33 UTC by Regina Henschel
Modified: 2019-01-17 22:02 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2019-01-10 10:33:13 UTC
Open Writer. GoTo Tools > AutoCorrect > AutoCorrect Options, tab Options.
Disable all but 'URL Recognition'.
Write www.libreoffice.org. Press Enter. You get a links.

Start a new empty presentation.

Write www.libreoffice.org into the center presentation object. Press Enter. You get a link.
Open Tools > AutoCorrect Options, tab Options.

Error: The option 'URL Recognition' is not checked.

Check 'URL Recognition'. OK.
Write again www.libreoffice.org. Press Enter. You do not get a link.

Open Tools > AutoCorrect Options, tab Options.
Check 'URL Recognition'. OK.
Write again www.libreoffice.org. Press Enter. You do not get a link.

Error: It is not possible to activate 'URL Recognition' in Impress.

I see the errors in Version: 6.2.0.1 (x64)
Build ID: 0412ee99e862f384c1106d0841a950c4cfaa9df1
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

It is OK in Version: 6.1.4.2 (x64)
Build ID: 9d0f32d1f0b509096fd65e0d4bec26ddd1938fd3
CPU threads: 8; OS: Windows 10.0; UI render: default; 
Locale: de-DE (en_US); Calc: CL
Comment 1 raal 2019-01-12 10:41:08 UTC
No repro. Version: 6.3.0.0.alpha0+
Build ID: 892a5cfe557edb405ec0037676f02a1c24dd76ec
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3;
Comment 2 Xisco Faulí 2019-01-13 18:46:09 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2018-12-03 15:31:02 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2018-12-04 09:54:13 +0100
commit	bf1932fe2133e5954441be6299e6788c17e1d1b9 (patch)
tree	77995bbb032b9a56b33e42ee5bdd46bafe29e681
parent	a5784b7fd63cee073d85b669f745f7f6271ab040 (diff)
weld OfaAutocorrOptionsPage

Bisected with: bibisect-linux64-6.3

Adding Cc: to Caolán McNamara
Comment 3 Commit Notification 2019-01-14 13:23:14 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/8aa5abf3aaae062ae41a4d2f122170da9e31cf67%5E%21

Resolves: tdf#122627 be explicit about what column to check

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2019-01-14 13:34:52 UTC
backports to 6-2 in gerrit
Comment 5 Commit Notification 2019-01-14 15:34:00 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/a3db8a7ec8c28053c6bd3ca3e5e30bd2cedf7d57%5E%21

Resolves: tdf#122627 be explicit about what column to check

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Regina Henschel 2019-01-14 15:40:14 UTC
I have made a local build Version: 6.3.0.0.alpha0+ (x64)
Build ID: 1977291fc08de7425db469e21bd2ad385e722707
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: de-DE (en_US); UI-Language: en-US
Calc: threaded
which contains the patch.

I can still not activate 'URL Recognition' in Impress.

If you have once disabled it in Impress, you cannot switch it on again in Impress.
Comment 7 Commit Notification 2019-01-15 11:26:42 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2-0":

https://git.libreoffice.org/core/+/0a20b619c59f6247a1cd2948d1ee87d73a5fabda%5E%21

Resolves: tdf#122627 be explicit about what column to check

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Caolán McNamara 2019-01-15 11:46:47 UTC
commit was necessary but not sufficient, follow up https://gerrit.libreoffice.org/#/c/66379/ should complete it to work
Comment 9 Regina Henschel 2019-01-15 14:24:08 UTC
I have applied the patch  https://gerrit.libreoffice.org/#/c/66379/ to my local build. Now the option 'URL Recognition' can be correctly enabled and disabled in Impress, and the checkbox reflects the state correctly.

I have not tested other options or other modules.
Comment 10 Commit Notification 2019-01-15 21:15:01 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/07b224028963a3ce9c1a0401c0dc9fb4538d515e%5E%21

Related: tdf#122627 auto detect of toggle column doesn't work

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Caolán McNamara 2019-01-15 21:15:46 UTC
backports in gerrit, etc
Comment 12 Xisco Faulí 2019-01-16 15:48:36 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 9c3faeae633f0c1efea199e522d2413461b16345
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, Thanks for fixing this!!
Comment 13 Commit Notification 2019-01-16 16:19:39 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/c8e26c255238e41c378bce4a715a566034a6a9e2%5E%21

Related: tdf#122627 auto detect of toggle column doesn't work

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2019-01-17 13:25:59 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2-0":

https://git.libreoffice.org/core/+/b317ac69a5e0f7d6808c119ecdad8744aaa47661%5E%21

Related: tdf#122627 auto detect of toggle column doesn't work

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.